---
include:
  - remote: "https://gitlab.com/LibreFoodPantry/common-services/tools\
      /pipeline/-/raw/main/source/gitlab-ci/pipeline.yml"
  - template: Jobs/SAST.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml

variables:
  PIPELINE_IMAGE_PLATFORMS: "linux/amd64,linux/arm64"
  # A comma separated list of jobs to disable.
  # For example: "test,magalinter"
  # Valid jobs: build, test, lint-commit-messages, megalinter, and release.
  DISABLE_JOBS: ""
  ENABLE_JOBS: "hadolint, markdownlint-cli2, markdown-link-check,
    shellcheck, yamllint, cspell, alexjs"
  GITLAB_ADVANCED_SAST_ENABLED: 'true'

  # The local name of the Docker image built by the build command and
  # tested by the test command. Ignored, if build doesn't produce an image.
  IMAGE_NAME: $CI_PROJECT_NAME:latest

  BUILD_COMMAND: ./bin/frontend-prod-build.sh
  TEST_COMMAND: ./bin/test.sh
  PREPARE_RELEASE_COMMAND: ./bin/prepare-release.sh
